/**
 * Copyright 2011-2013 - University of Queensland
 * 
 * Ontology Annotation Services
 * 
 * Released using CC-BY-SA-3.0 License, with attribution using a URL link to https://github.com/ansell/oas
 */

/**
 * DEBUG-ONLY
 */
oas.debugRdfaBody = function(/* string */searchCssPath) {
    $(searchCssPath).rdf().where("?subject ?property ?object").each(function(i, data, triples) {
        $('#rdfadebug').rdfa(triples);
    });
};

/**
 * DEBUG-ONLY
 * 
 * TODO: Re-enable this for testing purposes
 */
oas.debugRdfDownloadButtonAttach = function(/* string */searchCssPath, /* string */downloadDialogPath) {
    $('#json').bind("click", function() {
        var json = $(searchCssPath).rdf().databank.dump({
            format : 'application/json'
        }), answer = $(downloadDialogPath);
        answer.dialog('option', 'title', 'JSON');
        answer.dialog('option', 'width', '75%');
        answer.text($.toJSON(json));
        answer.dialog('open');
    });
    $('#rdfxml').bind("click", function() {
        var xml = $(searchCssPath).rdf().databank.dump({
            format : 'application/rdf+xml'
        }), answer = $(downloadDialogPath);
        answer.dialog('option', 'title', 'RDF/XML');
        answer.dialog('option', 'width', '75%');
        serializer = new XMLSerializer();
        answer.text(serializer.serializeToString(xml));
        answer.dialog('open');
    });
    $('#turtle').bind("click", function() {
        var turtle = $(searchCssPath).rdf().databank.dump({
            format : 'text/turtle'
        }), answer = $(downloadDialogPath);
        answer.dialog('option', 'title', 'TURTLE');
        answer.dialog('option', 'width', '75%');
        answer.text(turtle);
        answer.dialog('open');
    });

};

/**
 * DEBUG-ONLY
 * 
 * Visually highlights all of the items that match the given css path.
 */
oas.showAnnotationPoints = function(/* string */cssPath) {
    $(cssPath).effect("bounce", {}, 500, function() {
        // setTimeout(function() {
        // $( cssPath ).removeAttr( "style" ).hide().fadeIn();
        // }, 1000 );
    });
};

