<#-- @ftlvariable name="annotations" type="java.util.Collection<net.maenad.oas.webservice.objects.Annotation>" -->
<#-- @ftlvariable name="labelutil" type="com.github.ansell.oas.utils.LabelUtils" -->

<!-- OAS-webservice-impl Annotations list template -->

	<#if annotations?size &gt; 0>
		<h1>List of Annotations</h1>
		<table class="table table-striped table-hover" id="annotationList">
			<thead>
				<tr><th>User</th><th>Tag</th><th>Ontology Term</th><th>Ontology</th><th>Delete</th>
			</thead>
			<#list annotations as annotation>
			<#if annotation??>
				<tr>
					<td>
						<a href="${baseUrl}user?username=${userutil.username(annotation.annotator)}">${userutil.displayname(annotation.annotator)}</a>
					</td>
					<td>
						<a class="annotation" href="${baseUrl}annotation/id/?annotationid=${annotation.annotationUniqueId?html}">${annotation.tag!"Tag"}</a>
					</td>
					<td id="annotation_term">
					<#if annotation.ontologyUri??>
						<#assign labels=labelutil.labels(annotation.ontologyUri, annotation.ontologyTermUri)>
						<a href="${baseUrl}ontologybrowser/?ontologyUri=${annotation.ontologyUri!""}&amp;parentUri=${annotation.ontologyTermUri!""}">
						
						<#if labels?has_content>
							<#list labels as nextLabel>
								<#if nextLabel??>
								${nextLabel.stringValue()} <#if nextLabel_has_next>,</#if>
								</#if>
							</#list>
						<#else>
							${annotation.ontologyTermUri!"No label for ontology term"}
						</#if>
						</a>
					<#else>
						${annotation.ontologyTermUri!"No ontology term and no ontology"}
					</#if>
					</td>
					<td>
						<#if annotation.ontologyUri??>
							<#assign labels=labelutil.labels(annotation.ontologyUri)>
							<a class="ontology" href="${baseUrl}ontologymanager/?ontologyUri=${annotation.ontologyUri!""}">
							
							<#if labels?has_content>
								<#list labels as nextLabel>
									<#if nextLabel??>
									${nextLabel.stringValue()} <#if nextLabel_has_next>,</#if>
									</#if>
								</#list>
							<#else>
								${annotation.ontologyUri!"No label for ontology"}
							</#if>
						
							
							</a>
						<#else>
							Not linked to an ontology
						</#if>
					</td>
					<td>
						<form class="delete_annotation" action="${baseUrl}annotation/delete?annotationId=${annotation.annotationUniqueId}" method="post">
							<input type="hidden" name="annotationUniqueId" value="${annotation.annotationUniqueId!""}"/>
							<button type="submit" class="btn" name="deleteButton"><i class="icon-trash"></i> </button>
						</form>
					</td>
				</tr>
			</#if>
			</#list>
		</table>
	<#else>
		<div>There are no matching annotations for your query.</div>
	</#if>