<#-- @ftlvariable name="ontology" type="net.maenad.oas.objects.Ontology" -->
<#-- @ftlvariable name="labelutil" type="com.github.ansell.oas.utils.LabelUtils" -->
<#-- @ftlvariable name="parentUri" type="org.openrdf.model.URI" -->

<!-- OAS-testwebsite test Ajaxified Ontology Browser template -->
	
<script type="text/javascript">
	$(document).ready(function() { 
		oas.ontology.createBrowser("#tree", 
			"${ontology.ontologyUri!""}", 
			"${ontology.ontologyVersionUri!""}", 
			/* activate handler */
			function(node) {
						console.debug(node.data);
			
	                    $("#activeResource").text(node.data.title);
	                    
	                    // If you need to use the URL, add the action required here
	                    if (node.data.url) {
	                    	// To log the URL to the Javascript/Browser console enable the following code
	                        // console.log(node.data.url);
	                        
	                        // To open the URL in a new window enable the following code
	                        // window.open(node.data.url, node.data.target);
	                        
	                        // By default we switch the ontology browser view to use the node they clicked on as the parent
	                        //window.location = node.data.url;
	                        
	                        $("#goToResource").attr('href', node.data.url);
	                    }
	                    
	                    if(node.data.ontologyTermUri) {
	                    	oas.ontology.loadDetails(node.data.ontologyTermUri, "${ontology.ontologyUri!""}", "${ontology.ontologyVersionUri!""}", "#directAnnotationCount", "#allAnnotationCount", "#annotationList");
	                    }
	                }
			,
			/* deactivate handler */
			function(node) {
	                    $("#echoSelected").text("-");
	                }
			, 
			/* focus handler */
			function(node) {
						// See activate handler, not sure this focus handler is necessary
	                    //$("#activeResource").text(node.data.title);
	                }
			,
			/* blur handler */
			function(node) {
	                    $("#echoFocused").text("-");
	                }
	        ,
	        /* path to sort strategy control */
			"input[name=sortStrategy]"
			,
			{ title: "<#if labels?has_content><#list labels as nextLabel><#if nextLabel??>${nextLabel.stringValue()} <#if nextLabel_has_next>,</#if></#if></#list><#elseif parentUri == "http://www.w3.org/2002/07/owl#Thing">OWL Thing<#else>${parentUri}</#if>	(${childrenCount} => ${allChildrenCount})" }
			
		);
		
		// initially load details for the parent URI
		oas.ontology.loadDetails("${parentUri}", "${ontology.ontologyUri!""}", "${ontology.ontologyVersionUri!""}", "#directAnnotationCount", "#allAnnotationCount", "#annotationList");
	});
</script>
  <div class="page-header">
   <h1>
		<#assign labels=labelutil.labels(ontology.ontologyUri, parentUri)>
  		<#if labels?has_content>
			<#list labels as nextLabel>
				<#if nextLabel??>
				${nextLabel.stringValue()} <#if nextLabel_has_next>,</#if>
				</#if>
			</#list>
		<#elseif parentUri == "http://www.w3.org/2002/07/owl#Thing">
			OWL Thing
		</#if>
		<small>${parentUri!"No parent URI"}</small>
		
    </h1>
    <h3>
		<#assign labels=labelutil.labels(ontology)>
		<span>
		As defined in the 
		<a class="ontology" href="${baseUrl}ontologymanager/?ontologyUri=${ontology.ontologyUri!""}">

		<#if labels?has_content>
			<#list labels as nextLabel>
				<#if nextLabel??>
				${nextLabel.stringValue()} <#if nextLabel_has_next>,</#if>
				</#if>
			</#list>
		<#else>
			${ontology.ontologyUri!"No label for ontology"}
		</#if>
		</a>				
		</span>
	</h3>				
   
	<p id="overallDescription">A resource with ${childrenCount} direct children, and ${allChildrenCount} total children. It has ${annotationCounts} annotations linking to it directly.</p>
  </div>

  <div class="row-fluid">

	<div class="span2">

		<div>
			Browse:
		<#if ontology.ontologyVersionUri??>
		<a class="ontology_version" href="${baseUrl}ontologybrowser/?ontologyUri=${ontology.ontologyUri!""}&amp;ontologyVersionUri=${ontology.ontologyVersionUri!""}"><i class="icon-home" title="Focus on top of ontology"></i> </a>
		<#else>
		<a class="ontology" href="${baseUrl}ontologybrowser/?ontologyUri=${ontology.ontologyUri!""}"><i class="icon-home" title="Focus on top of ontology"></i> </a>
		</#if>
			<a id="goToResource" href="#"><i class="icon-zoom-in" title="Focus on current ontology term"></i> </a>
		</div>
    <form>
      <fieldset>
	   <legend>Sort By</legend>            
       <div class="btn-group" data-toggle="buttons-radio">
          <label class="radio inline">
	          <input
	                 type="radio"
	                 name="sortStrategy"
	                 id="strategyLexical"
	                 value="strategyLexical" 
	                 title="Sort ontology resource alphabetically"/>
	          <i class="icon-font" title="Sort alphabetically"></i>
          </label>
          <label class="radio inline">
	          <input 
	                 type="radio"
	                 name="sortStrategy"
	                 id="strategyDirectChildren"
	                 value="strategyDirectChildren"
	                 title="Sort ontology resource by the number of direct children"/>
	          <i class="icon-list" title="Sort by direct child counts"></i>
          </label>
          <label class="radio inline">
	          <input
	                 type="radio"
	                 name="sortStrategy"
	                 id="strategyAllChildren"
	                 value="strategyAllChildren" 
	                 selected="selected"
	                 title="Sort ontology resource by the total number of children"/>
	          <i class="icon-globe" title="Sort by all child counts"></i>
          </label>
        </div>       
      </fieldset>     
    </form>  
    
<!--    
	  <div>Active node: <span id="echoActive">-</span></div>
	  <div>Focused node: <span id="echoFocused">-</span></div>
    <a href="#" id="btnSort">Sort all</a>
    <a href="#" id="btnSortActive">Sort current node</a>
    <br>
    <a href="#" id="btnDisable">Disable</a>
    <a href="#" id="btnExpandAll">Expand all</a> -
    <a href="#" id="btnCollapseAll">Collapse all</a> -
    <a href="#" id="btnToggleExpand">Toggle expand</a>
    <a href="#" id="btnShowActive">Show active node</a>
-->
		<div>
			<table class="table table-striped table-bordered table-hover">
				<caption><i class="icon-list-alt"></i> Statistics for this ontology</caption>
				<thead>
					<tr><th>Statistic</th><th>Value</th></tr>
				</thead>
				<tbody>
					<tr><td>Individual count</td><td id="ontology_individualcount">${ontology.individualCount}</td></tr>
					<tr><td>Concrete axiom count</td><td id="ontology_concreteaxiomcount">${ontology.concreteAxiomCount}</td></tr>
					<tr><td>Concrete logical axiom count</td><td id="ontology_concretelogicalaxiomcount">${ontology.concreteLogicalAxiomCount}</td></tr>
					<tr><td>Inferred axiom count</td><td id="ontology_inferredaxiomcount">${ontology.inferredAxiomCount}</td></tr>
				</tbody>
			</table>
		</div> 
	</div>
	
	<!-- Tree starts off with initial reference and others are loaded dynamically after that -->
	<div class="span10">
	    <div class="row-fluid">
			<div class="span8" id="tree">
				<ul>
			        <#if ontology.ontologyVersionUri??>
				    <li data="url: '${baseUrl}ontologybrowser/?ontologyUri=${ontology.ontologyUri?url}&ontologyVersionUri=${ontology.ontologyVersionUri?url}&parentUri=${parentUri?url}', isLazy: 'true', ontologyTermUri: '${parentUri}', directChildCount: '${childrenCount}', recursiveChildCount: '${allChildrenCount}'"> 
				    <#else>
				    <li data="url: '${baseUrl}ontologybrowser/?ontologyUri=${ontology.ontologyUri?url}&parentUri=${parentUri?url}', isLazy: 'true', ontologyTermUri: '${parentUri}', directChildCount: '${childrenCount}', recursiveChildCount: '${allChildrenCount}'"> 
				    </#if>
						<#assign labels=labelutil.labels(ontology.ontologyUri, parentUri)>
				  		<#if labels?has_content>
							<#list labels as nextLabel>
								<#if nextLabel??>
								${nextLabel.stringValue()} <#if nextLabel_has_next>,</#if>
								</#if>
							</#list>
						<#elseif parentUri == "http://www.w3.org/2002/07/owl#Thing">
							OWL Thing
						<#else>
						    ${parentUri?html}
						</#if>
				    </li>
				</ul>
			</div>
			<div class="span4" >
					<div>
						Details for: <span id="activeResource">${parentUri}</span>
					</div>
					<div id="annotationDetails">
						<div>Number of annotations directly linking to this resource: <span id="directAnnotationCount">-</span></div>
						<div>Number of annotations linking to this resource or its children: <span id="allAnnotationCount">-</span></div>						
					</div>
					<div>
						List of annotations directly linked to this resource:
						<ul id="annotationList">
						</ul>
					</div>
			</div>
		</div>
	</div>
    

	</div>
	