<#-- @ftlvariable name="ontologies" type="java.util.List<net.maenad.oas.objects.Ontology>" -->
<#-- @ftlvariable name="labelutil" type="com.github.ansell.oas.utils.LabelUtils" -->
<#-- @ftlvariable name="currentversionutil" type="com.github.ansell.oas.utils.CurrentVersionUtils" -->

<!-- OAS-testwebsite test Ontology Manager template -->

	<#if ontologies?size &gt; 0>
		<h1>List of Ontologies</h1>
		<table class="table table-striped table-hover" id="ontologyList">
			<thead>
				<tr><th>Ontology</th><th>Ontology URI</th><th>Browse actions</th><th>OWL Profiles</th><th>Current</th><th>Delete</th></tr>
			</thead>
			<#list ontologies as nextOntology>
			<#if nextOntology??>
			<tr>
				<td> 
					<#assign labels=labelutil.labels(nextOntology)>
					<#if labels?has_content>
						<#list labels as nextLabel>
							<#if nextLabel??>
							${nextLabel.stringValue()} <#if nextLabel_has_next>,</#if>
							</#if>
						</#list>
					<#else>
						${nextOntology.ontologyUri!"No label for ontology"}
					</#if>
				
				</td>
				<td>
					${nextOntology.ontologyUri!""}
					<#if nextOntology.ontologyVersionUri??>
						(version ${nextOntology.ontologyVersionUri!""})
					</#if>
				</td>					
				<td><a class="ontology" href="${baseUrl}ontologymanager/?ontologyUri=${nextOntology.ontologyUri!""}"><i class="icon-globe" title="List all versions of this ontology"></i> </a>
						<#if nextOntology.ontologyVersionUri??>
								<a class="ontology_version" href="${baseUrl}ontologymanager/?ontologyUri=${nextOntology.ontologyUri!""}&amp;ontologyVersionUri=${nextOntology.ontologyVersionUri!""}"><i class="icon-hand-up" title="Focus on this version"></i> </a>
								<a class="ontology_version" href="${baseUrl}ontologybrowser/?ontologyUri=${nextOntology.ontologyUri!""}&amp;ontologyVersionUri=${nextOntology.ontologyVersionUri!""}"><i class="icon-leaf" title="Browse this version"></i> </a>
						</#if>
				</td>
				<td>
				  		<#if nextOntology.profiles?has_content>
						<ul>
							<#list nextOntology.profiles as nextProfile>
								<li class="profile"><a href="${nextProfile.IRI}">${nextProfile.IRI}</a></li>
							</#list>
						</ul>
						</#if>
				</td>
				<td>
						<#if currentversionutil.isLatest(nextOntology)>
							Current version
						<#else>
							<a class="ontology_version" href="${baseUrl}ontologymanager/setcurrentversion?ontologyUri=${nextOntology.ontologyUri!""}&amp;ontologyVersionUri=${nextOntology.ontologyVersionUri!""}">Set as current version</a>
						</#if>
				</td>
				<td>
					<form class="delete_ontology" action="${baseUrl}ontologymanager/delete" method="get">
						<input type="hidden" name="ontologyUri" value="${nextOntology.ontologyUri!""}"/>
						<input type="hidden" name="ontologyVersionUri" value="${nextOntology.ontologyVersionUri!""}"/>
						<input type="hidden" name="deleteAllVersions" value="false" />
						<button type="submit" class="btn" name="deleteButton"><i class="icon-trash"></i> </button>
					</form>
				</td>
			</tr>
			</#if>
			</#list>
		</table>
	<#elseif hasOntologies>
		<div>There are no managed ontologies matching your query.</div>
	<#else>
		<div>There are currently no managed ontologies.</div>
	</#if>