<#-- @ftlvariable name="pageTitle" type="java.lang.String" -->
<#-- @ftlvariable name="contentTemplate" type="java.lang.String" -->
<#-- @ftlvariable name="resourceRef" type="org.restlet.data.Reference" -->
<#-- @ftlvariable name="rootRef" type="org.restlet.data.Reference" -->
<#-- @ftlvariable name="referrerRef" type="org.restlet.data.Reference" -->
<#-- @ftlvariable name="clientInfo" type="org.restlet.data.ClientInfo" -->
<#-- @ftlvariable name="currentUser" type="org.restlet.security.User" -->
<#-- @ftlvariable name="paramString" type="java.lang.String" -->


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML+RDFa 1.0//EN" "http://www.w3.org/MarkUp/DTD/xhtml-rdfa-1.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" 
	xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:dcterms="http://purl.org/dc/terms/" 
	xmlns:foaf="http://xmlns.com/foaf/0.1/"
	xmlns:cc="http://creativecommons.org/ns#"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema#"
	xmlns:sioc="http://rdfs.org/sioc/ns#"
	xmlns:moat="http://moat-project.org/ns#"
	xmlns:tagging="http://www.holygoat.co.uk/owl/redwood/0.1/tags/"
	version="XHTML+RDFa 1.0">
<head>
	<title>${pageTitle}</title>

	<meta http-equiv="Content-type" content="text/html;charset=UTF-8" />

    <meta name="description" content="Ontology"/>

	<link rel="stylesheet" href="${baseUrl}resources/static/stylesheets/jquery-ui-1.10.3.custom.css" type="text/css" />
	<link rel="stylesheet" href="${baseUrl}resources/static/bootstrap/css/bootstrap.css" type="text/css" />
	<link rel="stylesheet" href="${baseUrl}resources/static/scripts/external/jquery.dynatree-1.2.4/skin/ui.dynatree.css" type="text/css">
	<link rel="stylesheet" href="${baseUrl}resources/static/stylesheets/oas-styles.css" type="text/css" />
	
	<script type="text/javascript">
		// setup the global oas namespace and subnamespaces
		oas = {};
		oas.ontology = {};
		oas.baseUrl = "${baseUrl}";
		oas.pageUrl = "${pageUrl}";
		
		String.prototype.htmlescape = function () { return this.replace(/&/g, "&amp;").replace(/>/g, "&gt;").replace(/</g, "&lt;").replace(/"/g, "&quot;");};
		if (!String.prototype.startsWith) {
		  Object.defineProperty(String.prototype, 'startsWith', {
		    enumerable: false,
		    configurable: false,
		    writable: false,
		    value: function (searchString, position) {
		      position = position || 0;
		      return this.indexOf(searchString, position) === position;
		    }
		  });
		}		
	</script>
		
	
	    <!-- The es6-shim.js script does not play nice with htmlunit-2.12/jwebunit-3.1 -->
        <!--  script src = " $ { baseUrl } resources/static/scripts/external/es6-shim-0.5.3/es6-shim-0.5.3.js " type = " text/javascript "   / script -->
        <script src="${baseUrl}resources/static/scripts/external/jquery-1.9.1/jquery-1.9.1.js" type="text/javascript"></script>
        <script src="${baseUrl}resources/static/scripts/external/jquery-ui-1.10.3/jquery-ui-1.10.3.custom.js" type="text/javascript"></script>
        <script src="${baseUrl}resources/static/scripts/external/jquery-cookie-1.3/jquery.cookie-1.3.js" type="text/javascript"></script>
        <script src="${baseUrl}resources/static/bootstrap/js/bootstrap.js" type="text/javascript"></script>
	    
        <script src="${baseUrl}resources/static/scripts/external/jquery.effects.core.js" type="text/javascript"></script>

		<!-- Dependencies for rdfquery -->
	    <script src="${baseUrl}resources/static/scripts/external/jquery.json.js" type="text/javascript"></script>
	    <script src="${baseUrl}resources/static/scripts/external/jquery.rdfquery.rules-1.1-SNAPSHOT.js" type="text/javascript"></script>
	    <script src="${baseUrl}resources/static/scripts/external/jquery.rdf.turtle.js" type="text/javascript"></script>
	    <script src="${baseUrl}resources/static/scripts/external/jquery.effects.bounce.js" type="text/javascript"></script>
		
		<!-- Dependencies for autocomplete -->
	    
	    
		<!-- Dependencies for dynatree -->
		<script src="${baseUrl}resources/static/scripts/external/jquery.dynatree-1.2.4/jquery.dynatree-1.2.4.js" type="text/javascript"></script>
		
		
	    <script src="${baseUrl}resources/static/scripts/oas.js" type="text/javascript"></script>
	    <script src="${baseUrl}resources/static/scripts/oas-debug-helper.js" type="text/javascript"></script>

		<script type="text/javascript">
			$(document).ready(function() {
			    // NOTE: Cannot use [about] here if we are embedding RDFa back into the page
			    // as it would cause a circular dependency
			    oas.showAnnotationPoints("[about]");
				// Add annotation handlers using the default settings, including RDFa [about], and the default dialogs
			    oas.addAnnotationHandlers();
			});
		</script>

</head>

<body>
    <div class="navbar navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container-fluid">
			<a class="brand" href="${baseUrl}">Ontology Annotation Services</a>
			<ul class="nav pull-right">
				<#if isAuthenticated >
				  <li>
					  <div class="dropdown">
						  <a id="userDropdown" class="dropdown-toggle" data-toggle="dropdown" data-target="#" href="${baseUrl}user?username=${currentUser.identifier?url}">Hi ${currentUser.firstName!""} ${currentUser.lastName!""} (${currentUser.identifier})</a>
    					  <b class="caret"></b>
							<ul class="dropdown-menu" role="menu" aria-labelledby="userDropdown">
							  <#if clientInfo.roles?? >
								<li id="roles">
									Current roles: 
										<#if clientInfo.roles?size &gt; 0>
											<#list clientInfo.roles as nextRole>
											${nextRole}<#if nextRole_has_next>, </#if>
											</#list>
											<#else>
											 (No roles assigned)
										</#if>
								</li>
							  </#if>
							  <li><a href="${baseUrl}dologout">Logout</a></li>
							</ul>    					  	  
					  </div>
				  </li>
				<#else>
				  <li><a href="${baseUrl}login">Login</a></li>
				</#if>
			</ul>
        </div>
      </div>
    </div>
	<!-- content pane -->    
	
	<div class="container-fluid">
    <div class="row-fluid">
    <div class="span3">
    <!--Sidebar content-->
    <ul class="nav nav-list">
    <li>Ontologies</li>
	    <ul class="nav nav-list">
			<li><a href="${baseUrl}ontologymanager/">Ontology Manager</a></li>
			<li><a href="${baseUrl}ontologymanager/search">Search Ontologies</a></li>
			<li><a href="${baseUrl}ontologymanager/labelsearch">Search Ontology Labels</a></li>
			<#if isAuthenticated && isAdmin >
				<li><a href="${baseUrl}ontologymanager/upload">Upload ontology</a></li>
			</#if>
		</ul>
    <li>Annotations</li>
	    <ul class="nav nav-list">
			<li><a href="${baseUrl}annotation/fetch">List annotations</a></li>
			<li><a href="${baseUrl}annotation/search">Search annotations</a></li>
		<#if isAuthenticated >
			<li><a href="${baseUrl}testannotations">Test annotation page</a></li>
			<li><a href="${baseUrl}testala">Test ALA annotation page</a></li>
		</#if>
		</ul>
	<#if isAuthenticated && isAdmin >
	    <li>Administration</li>
	    <ul class="nav nav-list">
	  	    <li><a href="${baseUrl}user">List all users</a></li>
	  	    <li><a href="${baseUrl}user/create">Create a new user</a></li>
			<li><a href="${baseUrl}auditlog">View recent activities</a></li>
		</ul>
	</#if>
		<li><a href="${baseUrl}help/">Help</a></li>
    </ul>
    </div>
    <div class="span9">
    <!--Body content-->
<#attempt>
    <#include contentTemplate/>
<#recover>
    <div>Error: Page generation failed.</div>
</#attempt>
    </div>
    </div>
    </div>

</body>
</html>